Functions
Port Configuration
Peripheral Driver » LL Driver » MSIO » Functions

## Functions
__STATIC_INLINE void | ll_msio_set_pin_direction (uint32_t pin_mask, uint32_t direction)
| Set several MSIO pins to input/output direction. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_direction (uint32_t pin)
| Return gpio direction for a MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_mode (uint32_t pin_mask, uint32_t mode)
| Set several MSIO pins to analog/digital mode. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_mode (uint32_t pin)
| Return gpio mode for a MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_pull (uint32_t pin_mask, uint32_t pull)
| Configure gpio pull-up or pull-down for a dedicated MSIO pin. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_pull (uint32_t pin)
| Return gpio pull-up or pull-down for a dedicated MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_mux (uint32_t pin, uint32_t mux)
| Configure gpio pinmux number of a dedicated pin from 0 to 4 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_mux (uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 4 for a dedicated port. More...

## Detailed Description

## Function Documentation

## ◆ ll_msio_get_pin_direction()

__STATIC_INLINE uint32_t ll_msio_get_pin_direction | ( | uint32_t | pin | ) |

Return gpio direction for a MSIO pin.

Note
  I/O direction can be Input direction, General purpose output.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | OE_N | +———————-+———————————–+ \endrst MSIO_PAD_CFG_0 | IE_N

Parameters

  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4

Return values

  Returned | value can be one of the following values: LL_MSIO_DIRECTION_NONE LL_MSIO_DIRECTION_INPUT LL_MSIO_DIRECTION_OUTPUT LL_MSIO_DIRECTION_INOUT

Definition at line 311 of file gr55xx_ll_msio.h.

References LL_MSIO_DIRECTION_INOUT, LL_MSIO_DIRECTION_INPUT, LL_MSIO_DIRECTION_NONE, and LL_MSIO_DIRECTION_OUTPUT.

## ◆ ll_msio_get_pin_mode()

__STATIC_INLINE uint32_t ll_msio_get_pin_mode | ( | uint32_t | pin | ) |

Return gpio mode for a MSIO pin.

Note
  I/O mode can be analog or digital.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_1 | AE_N | +———————-+———————————–+ \endrst

Parameters

  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4

Return values

  Returned | value can be one of the following values: LL_MSIO_MODE_ANALOG LL_MSIO_MODE_DIGITAL

Definition at line 382 of file gr55xx_ll_msio.h.

References LL_MSIO_MODE_ANALOG, and LL_MSIO_MODE_DIGITAL.

## ◆ ll_msio_get_pin_mux()

__STATIC_INLINE uint32_t ll_msio_get_pin_mux | ( | uint32_t | pin | ) |

Return gpio alternate function of a dedicated pin from 0 to 4 for a dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_MUX_CTL | CTL_00_04 | +———————-+———————————–+ \endrst MSIO_PAD_CFG_1 | MCU_OVR

Parameters

  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4

Return values

  Returned | value can be one of the following values: LL_MSIO_MUX_0 LL_MSIO_MUX_1 LL_MSIO_MUX_2 LL_MSIO_MUX_3 LL_MSIO_MUX_4 LL_MSIO_MUX_5 LL_MSIO_MUX_6 LL_MSIO_MUX_7

Definition at line 544 of file gr55xx_ll_msio.h.

References LL_MSIO_MUX_7.

## ◆ ll_msio_get_pin_pull()

__STATIC_INLINE uint32_t ll_msio_get_pin_pull | ( | uint32_t | pin | ) |

Return gpio pull-up or pull-down for a dedicated MSIO pin.

Note
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | RE_N | +———————-+———————————–+ \endrst MSIO_PAD_CFG_1 | RTYPE

Parameters

  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4

Return values

  Returned | value can be one of the following values: LL_MSIO_PULL_NO LL_MSIO_PULL_UP LL_MSIO_PULL_DOWN

Definition at line 454 of file gr55xx_ll_msio.h.

References LL_MSIO_PULL_DOWN, LL_MSIO_PULL_NO, and LL_MSIO_PULL_UP.

## ◆ ll_msio_set_pin_direction()

__STATIC_INLINE void ll_msio_set_pin_direction | ( | uint32_t | pin_mask,
|  | uint32_t | direction
| ) |  |

Set several MSIO pins to input/output direction.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | OE_N | +———————-+———————————–+ \endrst MSIO_PAD_CFG_0 | IE_N

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL
  direction | This parameter can be one of the following values: LL_MSIO_DIRECTION_NONE LL_MSIO_DIRECTION_INPUT LL_MSIO_DIRECTION_OUTPUT LL_MSIO_DIRECTION_INOUT

Return values

  None |

Definition at line 270 of file gr55xx_ll_msio.h.

References LL_MSIO_DIRECTION_INOUT, LL_MSIO_DIRECTION_INPUT, and LL_MSIO_DIRECTION_NONE.

## ◆ ll_msio_set_pin_mode()

__STATIC_INLINE void ll_msio_set_pin_mode | ( | uint32_t | pin_mask,
|  | uint32_t | mode
| ) |  |

Set several MSIO pins to analog/digital mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_1 | AE_N | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL
  mode | This parameter can be one of the following values: LL_MSIO_MODE_ANALOG LL_MSIO_MODE_DIGITAL

Return values

  None |

Definition at line 350 of file gr55xx_ll_msio.h.

References LL_MSIO_MODE_DIGITAL.

## ◆ ll_msio_set_pin_mux()

__STATIC_INLINE void ll_msio_set_pin_mux | ( | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 4 for a dedicated port.

Note
  Possible values are from AF0 to AF7 depending on target.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_MUX_CTL | CTL_00_04 | +———————-+———————————–+ \endrst MSIO_PAD_CFG_1 | MCU_OVR

Parameters

  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4
  mux | This parameter can be one of the following values: LL_MSIO_MUX_0 LL_MSIO_MUX_1 LL_MSIO_MUX_2 LL_MSIO_MUX_3 LL_MSIO_MUX_4 LL_MSIO_MUX_5 LL_MSIO_MUX_6 LL_MSIO_MUX_7

Return values

  None |

Definition at line 498 of file gr55xx_ll_msio.h.

References LL_MSIO_MUX_7.

## ◆ ll_msio_set_pin_pull()

__STATIC_INLINE void ll_msio_set_pin_pull | ( | uint32_t | pin_mask,
|  | uint32_t | pull
| ) |  |

Configure gpio pull-up or pull-down for a dedicated MSIO pin.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_0 | RE_N | +———————-+———————————–+ \endrst MSIO_PAD_CFG_1 | RTYPE

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_ALL
  pull | This parameter can be one of the following values: LL_MSIO_PULL_NO LL_MSIO_PULL_UP LL_MSIO_PULL_DOWN

Return values

  None |

Definition at line 413 of file gr55xx_ll_msio.h.

References LL_MSIO_PULL_NO, and LL_MSIO_PULL_UP.